CALIBREDB(1)

NAME
calibredb - calibredb

            calibredb ordre [opcions] [arguments]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

            •   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the Content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced. Be careful though, because some browsers, primarily Firefox, allow arbitrary websites to also access local servers. If you use Firefox, it is better to setup username and password, as described below. Local Network Access restriction has still not been implemented as of Firefox v149.

            •   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

    •   OPCIONS GLOBALS

    •   list

    •   add

        •   AFEGIR DES DE CARPETES

    •   remove

    •   add_format

    •   remove_format

    •   show_metadata

    •   set_metadata

    •   export

    •   catalog

        •   EPUB OPCIONS

    •   saved_searches

    •   add_custom_column

    •   custom_columns

    •   remove_custom_column

    •   set_custom

    •   restore_database

    •   check_library

    •   list_categories

    •   backup_metadata

    •   clone

    •   embed_metadata

    •   search

    •   fts_index

    •   fts_search

OPCIONS GLOBALS

    --help, -h
        mostra aquest missatge d'ajuda i surt

    --library-path, --with-library
        Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: <http://hostname:port/#library_id> for example, <http://localhost:8080/#mylibrary>. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see <https://manual.calibre-ebook.com/generated/en/calibredb.html>.

    --password
        Contrasenya per connectar a un servidor de continguts de calibre. Per llegir la contrasenya des d'una entrada estàndard, utilitzeu el valor especial: <stdin>. Per a llegir la contrasenya des d'un fitxer, utilitzeu: <f:/path/to/file> (és a dir <f: followed by the full path to the file and a trailing >). Els angles de dalt són obligatòries, recordeu tancar-los o utilitzar cometes per a la closca.

    --timeout
        The timeout, in seconds, when connecting to a calibre library over the network. The default is two minutes.

    --username
        Nom d'usuari per connectar a un servidor de continguts de calibre

    --version
        mostra el número de versió del programa i surt

LIST

            calibredb list [opcions]

Llista dels llibres disponibles a la base de dades de calibre.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --ascending
        Ordena els resultats en ordre ascendent

    --fields, -f
        Els camps que es mostraran quan es llistin els llibres a la base de dades. Hauria de ser una llista de camps separada per comes. Camps disponibles: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Per defecte: %per defecte. El camp especial "tots" es pot utilitzar per seleccionar tots els camps. A més dels camps predefinits abans, hi ha camps personalitzats disponibles amb *nom_del_camp, per exemple, per a un camp personalitzat #valoració, utilitzaríeu el nom: *valoració

    --for-machine
        Genera la sortida en format JSON, que és més adequada per a l'anàlisi amb autòmats. Provoca que s'ignorin les opcions de l'ample de línia i del separador.

    --limit
        El nombre màxim de resultats a mostrar. Per defecte: tots

    --line-width, -w
        Amplada màxima d'una línia a la sortida. Per defecte es detecta la mida de la pantalla.

    --prefix
        Prefix per a tots els camins dels fitxers. Per defecte és el camí d'accés a la carpeta de la biblioteca.

    --search, -s
        Filtra els resultats amb la consulta de cerca. Per al format de la consulta de cerca vegeu la documentació relacionada al Manual de l'usuari. Per defecte no es filtra.

    --separator
        Cadena que s'utilitzarà per separar els camps. Per defecte és un espai.

    --sort-by
        The field by which to sort the results. You can specify multiple fields by separating them with commas. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Default: id. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating

    --template
        The template to run if "template" is in the field list. Note that templates are ignored while connecting to a calibre server. Default: None

    --template_file, -t
        Path to a file containing the template to run if "template" is in the field list. Default: None

    --template_heading
        Heading for the template column. Default: template. This option is ignored if the option --for-machine is set

ADD

            calibredb add [opcions] fitxer1 fitxer2 fitxer3 ...

Afegeix els fitxers especificats com a llibres a la base de dades. Podeu indicar també directoris, vegeu les opcions relacionades amb els directoris més avall.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --authors, -a
        Estableix els autors del(s) llibre(s) afegit(s)

    --automerge, -m
        Si es troben llibres amb títols i autors similars, fusiona els formats (fitxers) entrants automàticament amb els registres de llibres existents. El valor "ignore" significa que es descarten els formats duplicats. El valor "sobreescriure" significa que els formats duplicats de la biblioteca se sobreescriuen amb els fitxers afegits recentment. Un valor de "new_record" significa que els formats duplicats es col·loquen en un registre de llibre nou.

    --cover, -c
        Camí a la portada que s'utilitzarà per al llibre afegit

    --duplicates, -d
        Afegeix els llibres a la base de dades encara que ja existeixin. La comparació es fa a partir dels títols dels llibres i els autors. Tingues en compte que l'opció --automerge té precedència.

    --empty, -e
        Afegeix un llibre en blanc (un llibre sense format)

    --identifier, -I
        Estableix els identificadors per a aquest llibre, p. ex. -I asin:XXX -I isbn:YYY

    --isbn, -i
        Estableix l'ISBN del(s) llibre(s) afegit(s)

    --languages, -l
        Una llista de llengües separades per comes (millor si s'utilitzen els codis de llengües ISO639, tot i que pot ser que també es reconegui els noms d'algunes llengües)

    --series, -s
        Estableix la sèrie del(s) llibre(s) afegit(s)

    --series-index, -S
        Estableix el nombre de sèrie del(s) llibre(s) afegit(s)

    --tags, -T
        Estableix les etiquetes del(s) llibre(s) afegit(s)

    --title, -t
        Estableix el títol del(s) llibre(s) afegit(s)

  AFEGIR DES DE CARPETES

Options to control the adding of books from folders. By default only files that have extensions of known e-book file types are added.

    --add
        A filename (glob) pattern, files matching this pattern will be added when scanning folders for files, even if they are not of a known e-book file type. Can be specified multiple times for multiple patterns.

    --ignore
        A filename (glob) pattern, files matching this pattern will be ignored when scanning folders for files. Can be specified multiple times for multiple patterns. For example: *.pdf will ignore all PDF files

    --one-book-per-directory, -1
        Assume that each folder has only a single logical book and that all files in it are different e-book formats of that book

    --recurse, -r
        Procesa les carpetes recursivament

REMOVE

            calibredb remove IDs

Suprimeix els llibres identificats amb els identificadors de la base de dades. Els «IDs» han d'indicar-se en una llista separada per comes amb els nombres dels identificadors (es poden obtenir els nombres dels identificadors mitjançant l'ordre «search»). Per exemple, 23,34,57-85 (quan s'especifica un interval, no s'inclou l'últim nombre de l'interval).

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --permanent
        No feu servir els Paperera de reciclatge

ADD_FORMAT

            calibredb add_format [opcions] id fitxer_llibre

Afegeix el llibre electrònic «fitxer_llibre» als formats disponibles per al llibre lògic identificat per l'«id». Podeu obtenir l'«id» mitjançant l'ordre «search». Si ja existeix el format, se substituirà, a no ser que s'especifiqui l'opció de no substitució.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --as-extra-data-file
        Afegeix el fitxer com un fitxer de dades extra al llibre, no en format ebook

    --dont-replace
        No reemplacis el format si ja existeix

REMOVE_FORMAT

            calibredb remove_format [opcions] ID fmt

Suprimeix el format «fmt» del llibre lògic identificat per l'ID. Podeu obtenir l'ID mitjançant l'ordre «search». «fmt» ha de ser una extensió de fitxer com ara LRF, TXT o EPUB. Si el llibre lògic no té el disponible el «fmt», no fa res.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

SHOW_METADATA

            calibredb show_metadata [opcions] ID

Mostra les metadades emmagatzemades a la base de dades de calibre per al llibre identificat amb l'ID. L'ID és un nombre d'identificador de l'ordre «search».

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --as-opf
        Imprimeix les metadades en format OPF (XML)

SET_METADATA

            calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by book_id from the OPF file metadata.opf. book_id is a book id number from the search command. You can get a quick feel for the OPF format by using the --as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the --field option. If you use the --field option, there is no need to specify an OPF file.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --field, -f
        El camp a establir. El format és nom_del_camp:valor, per exemple: --field etiquetes:etiqueta1,etiqueta2. Utilitzeu --list-fields per obtenir una llista de tots els noms de camps. Es pot especificar aquesta opció diverses vegades per establir diversos camps. Nota: Per llengües cal utilitzar els codis de llengua ISO639 (per exemple, "en" per l'anglès, "ca" per al català...). Per identificadors, la sintaxi és --field identifiers:isbn:XXXX,doi:YYYYY. Per als camps boolean (sí/no) utilitzeu "true" i "false" o "yes" i "no".

    --list-fields, -l
        Mostra una llista dels noms dels camps de metadades que es poden utilitzar amb l'opció --field opció

EXPORT

            calibredb export [options] ids

Export the books specified by ids (a comma separated list) to the filesystem. The export operation saves all formats of the book, its cover and metadata (in an OPF file). Any extra data files associated with the book are also saved. You can get id numbers from the search command.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --all
        Exporta tots els llibres de la base de dades, ignorant la llista dels id.

    --dont-asciiize
        Have calibre convert all non English characters into English equivalents for the file names. This is useful if saving to a legacy filesystem without full support for Unicode filenames. Si s'especifica aquesta opció, es desactiva aquest comportament.

    --dont-save-cover
        Normally, calibre will save the cover in a separate file along with the actual e-book files. Si s'especifica aquesta opció, es desactiva aquest comportament.

    --dont-save-extra-files
        Save any data files associated with the book when saving the book Si s'especifica aquesta opció, es desactiva aquest comportament.

    --dont-update-metadata
        Normalment calibre actualitza les metadades als fitxers que es desen a partir del que hi ha a la biblioteca de calibre. Fa que es desi més lentament. Si s'especifica aquesta opció, es desactiva aquest comportament.

    --dont-write-opf
        Normalment calibre escriurà les metadades a un fitxer OPF separat, junt amb els fitxers reals del llibre electrònic. Si s'especifica aquesta opció, es desactiva aquest comportament.

    --formats
        Llista separada per comes de la llista de formats que es desaran de cada llibre. Per defecte es desen tots els formats disponibles.

    --progress
        Informe de progrés

    --replace-whitespace
        Reemplaça els espais en blanc amb guions baixos.

    --single-dir
        Exporta tots els llibres en una sola carpeta

    --template
        The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pages, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

    --timefmt
        El format en què es visualitzaran les dates. %d: dia, %b: mes, %m: nombre del mes, %Y: any. Per defecte: %b, %Y

    --to-dir
        Exporta els llibres a la carpeta especificada. Per defecte és .

    --to-lowercase
        Converteix els camins a minúscules.

CATALOG

            calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --ids, -i
        Llista d'IDs de la base de dades separada per comes per catalogar. Si es declara, s'ignora --search. Per defecte: totes

    --search, -s
        Filtra els resultats segons la consulta de cerca. Per al format de la cerca vegeu la documentació del tema al manual d'usuari. Per defecte: sense filtrar

    --verbose, -v
        Mostra informació detallada de sortida. Útil per depurar

  EPUB OPCIONS

    --catalog-title
        Títol del catàleg generat, que s'utilitzarà com a títol a les metadades. Per defecte: «My Books» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --cross-reference-authors
        Crea referències creuades a la secció dels autors per als llibres amb diversos autors. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --debug-pipeline
        Desa a la carpeta especificada la sortida des de diferents etapes del procés de conversió. És útil si no esteu segur de en quina etapa del procés de conversió s'està produint un error. Defecte: '%defecte' S'aplica als formats de sortida AZW3, EPUB i MOBI

    --exclude-genre
        Expressió regular que descriu les etiquetes que s'exclouran com a gèneres. Per defecte: «[.+]|^+$» exclou les etiquetes entre claudàtors, per exemple «[Projecte Gutemberg]», i «+», l'etiqueta per defecte per als llibres llegits. S'aplica als formats de sortida: AZW3, EPUB i MOBI

    --exclusion-rules
        Especifica les regles que s'utilitzaran per excloure llibres del catàleg generat. El model per a una regla d'exclusió pot ser ('<nom de la regla>','Tags','<llista d'etiquetes separades per comes>') o bé ('<nom de la regla>','<columna personalitzada>','<patró>'). Per exemple: (('Llibres emmagatzemats','#estat','Emmagatzemat'),) exclourà un llibre amb un valor d'«Emmagatzemat» a la columna personalitzada «estat». Si es defineixen diverses regles, s'apliquen totes les regles. Per defecte: «(('Catalogs','Tags','Catalog'),)» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --generate-authors
        Inclou la secció «Autors» al catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --generate-descriptions
        Inclou la secció «Descripcions» al catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --generate-genres
        Inclou la secció «Gèneres» al catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --generate-recently-added
        Inclou una secció «Afegits recentment» al catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --generate-series
        Inclou la secció «Sèries» al catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --generate-titles
        Inclou la secció «Títols» al catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --genre-source-field
        Camp origen de la secció «Gèneres». Per defecte «Etiquetes» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --header-note-source-field
        Camp personalitzat que conté una nota de text per inserir a l'encapçalament «Descripció». Per defecte: «» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --merge-comments-rule
        #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

    --output-profile
        Especifica el perfil de sortida. En alguns casos, cal un perfil de sortida per optimitzar el catàleg per al dispositiu. Per exemple, 'kindle' o 'kindle_dx' crea una taula del contingut estructurada en seccions i articles. Per defecte: 'None' S'aplica als formats de sortida AZW3, EPUB i MOBI.

    --prefix-rules
        Especifica les regles que s'utilitzen per incloure prefixos que indiquin els llibres llegits, els ítems de la llista de desitjos i altres prefixos especificats per l'usuari. El model per a una regla de prefix és ('<nom de la regla>','<camp d'origen>','<patró>','<prefix>'). Si es defineixen diverses regles, s'utilitza la primera que coincideixi. Per defecte: «(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --preset
        Utilitza una predefinició creada amb la interfície gràfica del constructor de catàlegs. Una predefinició especifica tots els ajusts per a la construcció d'un catàleg. Per defecte: «None» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --thumb-width
        Mida recomanada (en polzades) per a les portades dels llibres del catàleg. Interval: 1,0 - 2,0 Per defecte: «1.0» S'aplica als formats de sortida AZW3, EPUB i MOBI

    --use-existing-cover
        Reemplaça la portada existent quan es genera el catàleg. Per defecte: «False» S'aplica als formats de sortida AZW3, EPUB i MOBI

SAVED_SEARCHES

            calibredb saved_searches [opcions] (list|add|remove)

Gestiona les cerques desades en aquesta base de dades. Si proveu d'afegir una cerca amb un nom que ja existeix, se substituirà.

Sintaxi per afegir:

calibredb saved_searches add nom_cerca expressió_cerca

Sintaxi per eliminar:

calibredb saved_searches remove nom_cerca

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

ADD_CUSTOM_COLUMN

            calibredb add_custom_column [opcions] etiqueta nom tipus_de_dades

Crea una columna personalitzada. L'etiqueta és el nom intern de la columna. No hauria de contenir espais o dos punts. El nom és el nom visible de la columna. El tipus de dades és un de: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --display
        Un diccionari d'opcions per personalitzar com s'interpretaran les dades en aquesta columna. Això és una cadena JSON. Per columnes d'enumeració, utilitzeu --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Hi ha moltes opcions per a la variable "display". Les opcions per tipus de columna són: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations La millor manera de trobar combinacions legals és creant una columna personalitzada del tipus adient a la interfície gràfica i després cercar un llibre al fitxer OPF (comproveu que s'ha creat un OPF nou des de l'addició de la columna). Veureu el JSON per a la "display" de la columna nova a l'OPF.

    --is-multiple
        Aquesta columna emmagatzema les etiquetes com a dades (amb valors separats per comes). Només s'aplica si les dades són de tipus text.

CUSTOM_COLUMNS

            calibredb custom_columns [opcions]

Llista les columnes personalitzades disponibles. Mostra les etiquetes ies id. de les columnes.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --details, -d
        Mostra els detalls per a cada columna.

REMOVE_CUSTOM_COLUMN

            calibredb remove_custom_column [opcions] etiqueta

Suprimeix la columna personalitzada identificada per l'etiqueta. Podeu veure les columnes disponibles amb l'ordre «custom_columns».

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --force, -f
        No demanis confirmació

SET_CUSTOM

            calibredb set_custom [opcions] columna ID valor

Estableix el valor d'una columna personalitzada per al llibre identificat per l'ID. Podeu obtenir una llista dels ID mitjançant l'ordre «search». Podeu obtenir una llista dels noms de les columnes personalitzades mitjançant l'ordre «custom_columns».

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --append, -a
        Si la columna emmagatzema diversos valors, annexa els valors especificats als ja existents, en lloc de substituir-los.

RESTORE_DATABASE

            calibredb restore_database [options]

Restore this database from the metadata stored in OPF files in each folder of the calibre library. This is useful if your metadata.db file has been corrupted.

WARNING: This command completely regenerates your database. You will lose all saved searches, user categories, plugboards, stored per-book conversion settings, and custom recipes. Restored metadata will only be as accurate as what is found in the OPF files.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --really-do-it, -r
        Fes la recuperació. L'ordre no s'executa llevat que no s'especifiqui aquesta opció.

CHECK_LIBRARY

            calibredb check_library [opcions]

Realitza algunes comprovacions al sistema de fitxers que representa una biblioteca. Els informes són invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, malformed_formats, malformed_paths, failed_folders

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --csv, -c
        Sortida CSV

    --ignore_extensions, -e
        Llista de les extensions que s'ignoraran separada per comes. Per defecte: totes

    --ignore_names, -n
        Llista de noms a ignorar separada per comes. Per defecte: tot

    --report, -r
        Llista d'informes separats per comes. Per defecte: tots

    --vacuum-fts-db
        Vacuum the full text search database. This can be very slow and memory intensive, depending on the size of the database.

LIST_CATEGORIES

            calibredb list_categories [opcions]

Genera un informe de la informació de les categories de la base de dades. La informació equival al que es mostra al navegador d'etiquetes.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --categories, -r
        Llista separada per comes dels noms de consulta de la categoria. Per defecte: tot

    --csv, -c
        Sortida CSV

    --dialect
        El tipus de fitxer CSV a produir. Opcions: excel, excel-tab, unix

    --item_count, -i
        Genera només la sortida del nombre d'ítems en una categoria en lloc del recompte per ítem a cada categoria

    --width, -w
        Amplada màxima d'una línia a la sortida. Per defecte es detecta la mida de la pantalla.

BACKUP_METADATA

            calibredb backup_metadata [options]

Backup the metadata stored in the database into individual OPF files in each books folder. This normally happens automatically, but you can run this command to force re-generation of the OPF files, with the --all option.

Note that there is normally no need to do this, as the OPF files are backed up automatically, every time metadata is changed.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --all
        Normalment aquesta ordre només actua en llibres que tenen fitxers OPF obsolets. Aquesta opció fa que actuï en tots els llibres.

CLONE

            calibredb clone path/to/new/library

Create a clone of the current library. This creates a new, empty library that has all the same custom columns, Virtual libraries and other settings as the current library.

The cloned library will contain no books. If you want to create a full duplicate, including all books, then simply use your filesystem tools to copy the library folder.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

EMBED_METADATA

            calibredb embed_metadata [options] book_id

Actualitza les metadades als fitxers del llibre real que estan emmagatzemats a la biblioteca de calibre a partir de les metadades de la base de dades de calibre. Normalment, les metadades només s'actualitzen quan s'exporten els fitxers de calibre; per tant, aquesta ordre és útil si voleu que s'actualitzin a la vostra base de dades. Tingueu en compte que cada tipus de fitxer admet quantitats diferents de metadades. Es pot utilitzar el valor especial «all» perquè l'identificador de llibre actualitzi les metadades en tots els llibres. També es poden especificar diversos identificadors de llibre separats per espais o conjunts d'identificadors separats per guions. Per exemple: calibredb embed_metadata 1 2 10-15 23

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --only-formats, -f
        Només actualitza les metadades als fitxers del format especificat. Especifiqueu-ho diverses vegades per diversos formats. Per defecte, tots els formats s'actualitzen.

SEARCH

            calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre's powerful search query language, for example: calibredb search author:asimov 'title:"i robot"'

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --limit, -l
        El nombre màxim de resultats que retornarà. Per defecte es mostren tots els resultats.

FTS_INDEX

            calibredb fts_index [options] enable/disable/status/reindex

Control the Full text search indexing process.

    enable
        Turns on FTS indexing for this library

    disable
        Turns off FTS indexing for this library

    status
        Shows the current indexing status

    reindex
        Can be used to re-index either particular books or the entire library. To re-index particular books specify the book ids as additional arguments after the reindex command. If no book ids are specified the entire library is re-indexed.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --indexing-speed
        The speed of indexing. Use fast for fast indexing using all your computers resources and slow for less resource intensive indexing. Note that the speed is reset to slow after every invocation.

    --wait-for-completion
        Wait till all books are indexed, showing indexing progress periodically

FTS_SEARCH

            calibredb fts_search [options] search expression

Do a full text search on the entire library or a subset of it.

Sempre que passeu arguments a calibredb i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

    --do-not-match-on-related-words
        Only match on exact words not related words. So correction will not match correcting.

    --include-snippets
        Include snippets of the text surrounding each match. Note that this makes searching much slower.

    --indexing-threshold
        How much of the library must be indexed before searching is allowed, as a percentage. Defaults to 90

    --match-end-marker
        The marker used to indicate the end of a matched word inside a snippet

    --match-start-marker
        The marker used to indicate the start of a matched word inside a snippet

    --output-format
        The format to output the search results in. Either "text" for plain text or "json" for JSON output.

    --restrict-to
        Restrict the searched books, either using a search expression or ids. For example: ids:1,2,3 to restrict by ids or search:tag:foo to restrict to books having the tag foo.

Author
Kovid Goyal

Copyright
Kovid Goyal